job_name: {{image_name}}-{{group}}
{% if device_type == 'qemu' %}
{% include 'common-qemu-boot-tpl.yaml' %}
{% else %}
{% include 'common-boot-tpl.yaml' %}
{% endif %}

  - test:
      timeout:
        minutes: 5
      namespace: system
      name: {{group}}-tests
      definitions:
        - repository:
            metadata:
              name: add-target-sources
              description: "Enable source packages for target"
            run:
              steps:
                - grep target /etc/apt/sources.list | sed 's/^deb /deb-src /' > /etc/apt/sources.list.d/target-sources.list
          from: inline
          path: inline/add-target-sources.yaml
          name: add-target-sources

  - test:
      timeout:
        minutes: 180
      namespace: system
      name: {{group}}-tests
      definitions:
{%- for test_name in tests %}
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          branch: 'apertis/v2023dev1'
          history: False
          from: git
          name: {{test_name}}
          path: test-cases/{{test_name}}.yaml
{%- endfor -%}
